etc

## Class LocalTimeAdapter

- java.lang.Object
- - javax.xml.bind.annotation.adapters.XmlAdapter<java.lang.String,java.time.LocalTime>
  - - etc.LocalTimeAdapter

-     public class LocalTimeAdapter
      extends javax.xml.bind.annotation.adapters.XmlAdapter<java.lang.String,java.time.LocalTime>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalTimeAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `marshal(java.time.LocalTime inputTime)` Converte un oggetto LocalTime in una stringa di orario, restituendo null se l'oggetto è null.
    `java.time.LocalTime` | `unmarshal(java.lang.String inputTime)` Converte una stringa di orario in LocalTime, restituendo null se la stringa è vuota.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalTimeAdapter

          public LocalTimeAdapter()

  - ### Method Detail

    - #### unmarshal

          public java.time.LocalTime unmarshal(java.lang.String inputTime)
                                        throws java.lang.Exception

      Converte una stringa di orario in LocalTime, restituendo null se la stringa è vuota.
      Specified by:
        `unmarshal` in class `javax.xml.bind.annotation.adapters.XmlAdapter<java.lang.String,java.time.LocalTime>`
      Parameters:
        `inputTime` - La stringa di orario da convertire.
      Returns:
        L'oggetto LocalTime corrispondente o null.
      Throws:
        `java.lang.Exception` - Se si verifica un errore durante la conversione.

    - #### marshal

          public java.lang.String marshal(java.time.LocalTime inputTime)
                                   throws java.lang.Exception

      Converte un oggetto LocalTime in una stringa di orario, restituendo null se l'oggetto è null.
      Specified by:
        `marshal` in class `javax.xml.bind.annotation.adapters.XmlAdapter<java.lang.String,java.time.LocalTime>`
      Parameters:
        `inputTime` - L'oggetto LocalTime da convertire.
      Returns:
        La stringa di orario corrispondente o null.
      Throws:
        `java.lang.Exception` - Se si verifica un errore durante la conversione.